List leads
GET
/leads
const url = 'https://app.whatsetter.com/api/v1/leads?status=qualified&limit=25';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://app.whatsetter.com/api/v1/leads?status=qualified&limit=25' \ --header 'Authorization: Bearer <token>'Leads of the workspace, most recently active first.
Requires scope leads:read.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”status
string
Filter by status.
campaign_id
string
phone
string
Exact lookup by phone (international format, e.g. +33612345678).
since
string format: date-time
Only leads active after this ISO-8601 date (on last_message_at).
limit
integer
cursor
string
Opaque cursor from the previous page’s pagination.next_cursor.
Responses
Section titled “Responses”Page of leads
Media typeapplication/json
object
data
Array<object>
object
id
string
phone
Digits with country code, no +
string | null
whatsapp_id
string | null
name
string | null
status
string | null
qualified
boolean
qualified_at
string | null format: date-time
replied
boolean
campaign_id
string | null
list_id
string | null
email
string | null
tags
Array<string>
messages_count
integer
booking_status
string | null
first_contact_at
string | null format: date-time
last_message_at
string | null format: date-time
last_message_direction
string | null
created_at
string format: date-time
updated_at
string format: date-time
pagination
object
has_more
boolean
next_cursor
string | null
Example
{ "data": [ { "status": "qualified", "last_message_direction": "inbound" } ]}Missing, unknown or revoked API key
Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}The key lacks the required scope
Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}Invalid parameter or body
Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}
